Jump to content

apt-get update fails with public key errors


flot010
 Share

Go to solution Solved by Igor,

Recommended Posts

I can't seem to get apt-get update to work, this is a fresh install anyone know the fix? 

 

mango@nezha:~$ sudo apt-get update
Hit:3 http://ports.ubuntu.com jammy InRelease
Hit:4 http://ports.ubuntu.com jammy-security InRelease
Hit:5 http://ppa.launchpadcontent.net/oibaf/graphics-drivers/ubuntu jammy InRelease
Hit:6 http://ports.ubuntu.com jammy-updates InRelease
Hit:7 http://ports.ubuntu.com jammy-backports InRelease
Hit:1 https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease
Hit:2 https://cli.github.com/packages stable InRelease
Err:2 https://cli.github.com/packages stable InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
Reading package lists... Done
N: Skipping acquire of configured file 'main/binary-riscv64/Packages' as repository 'http://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease' doesn't support architecture 'riscv64'
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://cli.github.com/packages stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
W: Failed to fetch http://cli.github.com/packages/dists/stable/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
W: Some index files failed to download. They have been ignored, or old ones used instead.


 

Link to comment
Share on other sites

Search Before Posting!

Hi,

 

Talk to the owner of the repo to provide the necessary key. No idea who is that though, certainly not us. Never saw those addresses. Therefore most likely not an official Armbian image but some 3rd party work.

Link to comment
Share on other sites

Can you verify that the file /usr/share/keyrings/githubcli.gpg is there?

Link to comment
Share on other sites

  • Solution
6 hours ago, flot010 said:

I can't seem to get apt-get update to work, this is a fresh install anyone know the fix? 

 

No Linux is having full control over its component made by thousands of people. This particular problem was caused by this https://github.com/cli/cli/issues/6175 where you can find instructions how to fix a problem you have. I already fixed the key, so future releases will have this fixed https://github.com/armbian/build/pull/4163

Link to comment
Share on other sites

I'm using Odroid-C2 and using Armbian 22.08 Jammy XFCE build (Armbian_22.08.1_Odroidc2_jammy_current_5.10.139_xfce_desktop.img) from https://www.armbian.com/odroid-c2/.

 

When updating the repository before an upgrade, I get a signature verification issue.

 

$ sudo apt-get update
Hit:4 http://deb.volian.org/volian scar InRelease
Hit:6 http://ports.ubuntu.com jammy InRelease
Get:1 https://cli.github.com/packages stable InRelease [3,917 B]
Hit:7 http://ppa.launchpadcontent.net/saiarcot895/chromium-beta/ubuntu jammy InRelease
Hit:8 http://ports.ubuntu.com jammy-security InRelease
Hit:2 http://armbian.chi.auroradev.org/apt jammy InRelease
Hit:3 https://box64.debian.ryanfortner.dev/debian ./ InRelease
Hit:9 http://ports.ubuntu.com jammy-updates InRelease
Hit:10 http://ppa.launchpadcontent.net/mozillateam/ppa/ubuntu jammy InRelease
Hit:5 https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease
Hit:11 http://ports.ubuntu.com jammy-backports InRelease
Hit:12 http://ppa.launchpadcontent.net/oibaf/graphics-drivers/ubuntu jammy InRelease
Err:1 https://cli.github.com/packages stable InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://cli.github.com/packages stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
W: Failed to fetch http://cli.github.com/packages/dists/stable/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
W: Some index files failed to download. They have been ignored, or old ones used instead.

 

Link to comment
Share on other sites

  • Igor pinned this topic

I noticed the same on a fresh image on the Station P1.
So the fix from above was :
 

sudo apt-key del C99B11DEB97541F0 && sudo rm /etc/apt/sources.list.d/githubcli.list 

But
 

sudo rm /etc/apt/sources.list.d/githubcli.list 

I think this should be sufficient since it ain't doing the apt-key thing.
There was a small mistake in the original source. github-cli.list vs githubcli.list

Link to comment
Share on other sites

I see this is the beginners section so mind as a beginner I had difficulty following the solution to the problem presented here

 

Igor posted the "solution" which is I quote

Quote

"No Linux is having full control over its component made by thousands of people. This particular problem was caused by this https://github.com/cli/cli/issues/6175 where you can find instructions how to fix a problem you have. I already fixed the key, so future releases will have this fixed https://github.com/armbian/build/pull/4163

So I went to the first link he posted for the "instructions" and saw the first post stating a sort of diagnostic for the error, and a large amount of following comments from the community, one of these comments was from a user called "rmw" where he says,

Quote

 

"We are working on an update for Codespaces. (Update: #6175 (comment))

If you are seeing issues in Actions workflows, please share more details in this issue.

Manually, you are able to reset your system with sudo apt-key del C99B11DEB97541F0 && sudo rm /etc/apt/sources.list.d/github-cli.list"

Link to comment
Share on other sites

Sorry to double post but it was not letting my type anything after that last quote I made..

 

So I did "sudo apt-key del C99B11DEB97541F0 && sudo rm /etc/apt/sources.list.d/github-cli.list" and then tried again "sudo apt-get update" and heres my output excluding a lot GET links.

 

Get:21 http://deb.debian.org/debian sid/contrib armhf Packages T-2022-10-10-1406.43-F-2022-10-08-1410.42.pdiff [335 B]                 
Fetched 1817 kB in 10s (185 kB/s)                                                                                                      
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://cli.github.com/packages stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA7571xxxx
W: Failed to fetch http://cli.github.com/packages/dists/stable/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA7571xxxx
W: Some index files failed to download. They have been ignored, or old ones used instead.

Put xxxx for the last Pubkey numbers for security (idk I am a beginner). I also tried to tinker changing the pubkey using different sources before, idk if this may have caused a problem.

 

This future release that fixes this Igor mentions hasn't been released yet? (I saw latest release is still from August)

 

Please help, Thanks

Link to comment
Share on other sites

Fresh install of Armbian 22 XFCE as at today and exact same issue. This does not appear to be fixed?

 

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://cli.github.com/packages stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059
W: Failed to fetch http://cli.github.com/packages/dists/stable/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 23F3D4EA75716059

 

Link to comment
Share on other sites

5 hours ago, Andro said:

This does not appear to be fixed?

 

Problem was fixed in sources, but images still have this purely cosmetic problem. Operation of full images rebuilt is very expensive as it takes several days. You do expect images are tested, even that is almost exclusively our private cost. 

 

5 hours ago, armisstrong69 said:

due to lack of support.

 

There is nothing more to support. Problem was solved. If you are not satisfied with a solution and you want more then your contracts provides, I am gladly willing to help you on commercial terms.

Link to comment
Share on other sites

17 hours ago, Igor said:

There is nothing more to support. Problem was solved. If you are not satisfied with a solution and you want more then your contracts provides, I am gladly willing to help you on commercial terms.

Dear masterful and gracious Igor, please enlighten us Beginners and help us understand this solution we are misunderstanding! Please have pity on us sinful and dumb beginners!

I laid out my confusion regarding the solution in detail in a previous thread but it was just merged with this one!

Edited by armisstrong69
Link to comment
Share on other sites

7 hours ago, armisstrong69 said:

Please have pity on us sinful and dumb beginners!

 

Do you understand what "best effort support" means? And why software is released under such terms? Don't you think we would not rather tell you - "dear users. Thank you for downloading our investment. If you have any problems with your computer, come, we will be happy to solve it " - if that would be possible? Check support terms once again and try to understand who pays that? When you are taking your car to the car repair shop. Do you expect they will pay for the parts and service or is that on you to cover?

 

Its not about you. This community has limited answering capacity and if you don't behave, you are only lowering your chances of getting attention. Look around - you are not the only one asking for something.

Link to comment
Share on other sites

25 minutes ago, armisstrong69 said:

For an update?

 

Patience for getting human response on whatever your problem is. 

 

25 minutes ago, armisstrong69 said:

I am about to change distro

 

Before you are going to switch some problems with another, please read this FAQ

Link to comment
Share on other sites

On 10/22/2022 at 10:48 AM, Werner said:

Personalized support

Ok after ./compile.sh there was a pubkey error while it was trying to update (how ironic), and now im at a GUI menu that has 2 options... U-boot and Kernel Packages and Full OS Image for flashing...

Ok... Please bear with me as I am a beginner in this beginner thread, and I dont know which of those two options I should select to fix my apt update pubkey error. I appreciate you for trying to help, and Igor for developing all this stuff.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...